Package org.eclipse.gef.dot.internal.ui.conversion

# Class Dot2ZestAttributesConverter

java.lang.Object
org.eclipse.gef.dot.internal.ui.conversion.Dot2ZestAttributesConverter

All Implemented Interfaces:
  `org.eclipse.gef.common.attributes.IAttributeCopier`

public class Dot2ZestAttributesConverter extends Object implements org.eclipse.gef.common.attributes.IAttributeCopier
A converter that transforms a `Graph` that is attributed with `DotAttributes` into a `Graph` that is attributed with `ZestProperties`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Dot2ZestAttributesConverter.Options`

## Field Summary

Fields
Modifier and Type
Field
Description
`final DotFontUtil`
`fontUtil`

### Fields inherited from interface org.eclipse.gef.common.attributes.IAttributeCopier

`NULL_COPY, SHALLOW_COPY`

## Constructor Summary

Constructors
Constructor
Description
`Dot2ZestAttributesConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`convertAttributes(org.eclipse.gef.graph.Edge dot, org.eclipse.gef.graph.Edge zest)`
`protected void`
`convertAttributes(org.eclipse.gef.graph.Graph dot, org.eclipse.gef.graph.Graph zest)`
`protected void`
`convertAttributes(org.eclipse.gef.graph.Node dot, org.eclipse.gef.graph.Node zest)`
`void`
`copy(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)`
`javafx.geometry.Bounds`
`getBounds(javafx.scene.Node fxNode)`
Bounds for the JavaFxElement after CSS
`Dot2ZestAttributesConverter.Options`
`options()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fontUtil

public final DotFontUtil fontUtil

## Constructor Details

### Dot2ZestAttributesConverter

public Dot2ZestAttributesConverter()

## Method Details

### copy

public void copy(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)

Specified by:
  `copy` in interface `org.eclipse.gef.common.attributes.IAttributeCopier`

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Edge dot, org.eclipse.gef.graph.Edge zest)

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Node dot, org.eclipse.gef.graph.Node zest)

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Graph dot, org.eclipse.gef.graph.Graph zest)

### options

public Dot2ZestAttributesConverter.Options options()

### getBounds

public javafx.geometry.Bounds getBounds(javafx.scene.Node fxNode)
Bounds for the JavaFxElement after CSS

Parameters:
  `fxNode` - the fxnode of which the bounds should be calculated
Returns:
  the bounds of the node